Bug 566729 (CharLS) - Review Request: CharLS - An optimized implementation of the JPEG-LS standard
Summary: Review Request: CharLS - An optimized implementation of the JPEG-LS standard
Keywords:
Status: CLOSED ERRATA
Alias: CharLS
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: gdcm
TreeView+ depends on / blocked
 
Reported: 2010-02-19 15:09 UTC by Mario Ceresa
Modified: 2010-03-23 23:37 UTC (History)
4 users (show)

Fixed In Version: CharLS-1.0-0.1.b.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 23:21:56 UTC
lemenkov: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mario Ceresa 2010-02-19 15:09:30 UTC
Spec URL: http://mrceresa.fedorapeople.org/libcharls.spec
SRPM URL: http://mrceresa.fedorapeople.org/libcharls-1.0b-1.fc12.src.rpm
Description: 

An optimized implementation of the JPEG-LS standard for lossless and 
near-lossless image compression. JPEG-LS is a low-complexity standard that
matches JPEG 2000 compression ratios. In terms of speed, CharLS outperforms
open source and commercial JPEG LS implementations.

JPEG-LS (ISO-14495-1/ITU-T.87) is a standard derived from the Hewlett Packard
LOCO algorithm. JPEG LS has low complexity (meaning fast compression) and high
compression ratios, similar to JPEG 2000. JPEG-LS is more similar to the old
Lossless JPEG than to JPEG 2000, but interestingly the two different techniques
result in vastly different performance characteristics.

Comment 1 Ralf Corsepius 2010-02-19 16:32:47 UTC
(In reply to comment #0)
> Spec URL: http://mrceresa.fedorapeople.org/libcharls.spec
> SRPM URL: http://mrceresa.fedorapeople.org/libcharls-1.0b-1.fc12.src.rpm

All I get for these URLs is 404 - Please fix.

Comment 2 Mario Ceresa 2010-02-19 16:58:39 UTC
Sorry I was changing file names:

Spec URL: http://mrceresa.fedorapeople.org/CharLS.spec
SRPM URL: http://mrceresa.fedorapeople.org/CharLS-1.0b-1.fc12.src.rpm

[makerpms@shadow rpmbuild]$ rpmlint -i SPECS/CharLS.spec RPMS/i686/CharLS-1.0b-1.fc12.i686.rpm RPMS/i686/CharLS-devel-1.0b-1.fc12.i686.rpm SRPMS/CharLS-1.0b-1.fc12.src.rpm 
CharLS-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

3 packages and 1 specfiles checked; 0 errors, 1 warnings.

I have some problems to get access to koji right now: I'll try to post the koji output later

Comment 3 Mario Ceresa 2010-02-19 22:41:50 UTC
The build for x86_64 failed

https://koji.fedoraproject.org/koji/taskinfo?taskID=2000558

RPM build errors:
File not found by glob: /builddir/build/BUILDROOT/CharLS-1.0b-1.fc12.x86_64/usr/lib64/*.so.*

this is curious: I thought that %{_libdir}/*.so.* would take care of both lib and lib64. Instead it seems that even on 64 bit it installs in /usr/lib

Comment 4 Peter Lemenkov 2010-03-07 11:05:32 UTC
Versioning scheme is wrong. For alpha- and beta-releases we use special naming convention:

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

Thus you need to name it in the following way:

Version:	1.0
Release:	0.1.b%{?dist}

Note, that %{release} starts from "0.", which indicates that this is not a stable release, followed by package's build number (1). Pre-release tag should be placed right before package's build number and %{dist} tag.

Comment 5 Peter Lemenkov 2010-03-08 09:17:34 UTC
* Typo in Name field - s/CharLs/CharLS/
* There is no need to remove win-specific project files.
* Set CMAKE_VERBOSE_MAKEFILE to ON.
* Please, fix building on x86_64

Comment 6 Mario Ceresa 2010-03-08 14:45:01 UTC
Uploaded new files:

http://mrceresa.fedorapeople.org/CharLS.spec
http://mrceresa.fedorapeople.org/CharLS-1.0-0.1.b.fc12.src.rpm

- rpmlist is not silent:

SPECS/CharLS.spec: W: invalid-url Source0: CharLS-1.0_beta.zip
CharLS.src: W: invalid-url Source0: CharLS-1.0_beta.zip
CharLS-devel.i686: W: no-documentation
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

- koji try builds now pass on 64 bits too:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2038791

Comment 7 Peter Lemenkov 2010-03-09 11:37:42 UTC
REVIEW:

+ rpmlint is almost silent:

Workplace ~: rpmlint Desktop/CharLS-*
CharLS-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Workplace ~:

+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL. 

Sulaco ~/rpmbuild/SOURCES: sha256sum CharLS-1.0_beta.zip ~/Desktop/CharLS-1.0_beta.zip 
c6fdbdb48d18205afaf7ae4b9e73984ee4bf927cec99a86c3c0ad3e2021e8c99  CharLS-1.0_beta.zip
c6fdbdb48d18205afaf7ae4b9e73984ee4bf927cec99a86c3c0ad3e2021e8c99  /home/petro/Desktop/CharLS-1.0_beta.zip
Sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines.
0 No need to handle locales.
+ The package calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package does not designed to be relocatable.
+ The package own all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly. Executables should be set with executable permissions, for example. The %files section includes a %defattr(...) line.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are in a -devel package.
0 No static libraries.
0 The package does not contain pkgconfig(.pc) files.
+ The library files that end in .so (without suffix) are in a -devel package.
+ The devel sub-package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in the package are valid UTF-8.


APPROVED.

Comment 8 Mario Ceresa 2010-03-09 13:41:16 UTC
Great!

New Package CVS Request
=======================
Package Name: CharLS
Short Description: An optimized implementation of the JPEG-LS standard
Owners: mrceresa
Branches: F-11 F-12 EL-5
InitialCC: peter

Comment 9 Mario Ceresa 2010-03-09 13:49:04 UTC
Ok I keep forgetting about the F-13 branch: (thanks Peter for noticing!)

New Package CVS Request
=======================
Package Name: CharLS
Short Description: An optimized implementation of the JPEG-LS standard
Owners: mrceresa
Branches: F-11 F-12 F-13 EL-5
InitialCC: peter

Comment 10 Jason Tibbitts 2010-03-10 22:24:43 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Fedora Update System 2010-03-11 15:48:05 UTC
CharLS-1.0-0.1.b.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/CharLS-1.0-0.1.b.fc12

Comment 12 Fedora Update System 2010-03-11 15:48:11 UTC
CharLS-1.0-0.1.b.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/CharLS-1.0-0.1.b.fc11

Comment 13 Fedora Update System 2010-03-11 15:48:16 UTC
CharLS-1.0-0.1.b.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/CharLS-1.0-0.1.b.fc13

Comment 14 Fedora Update System 2010-03-13 02:22:58 UTC
CharLS-1.0-0.1.b.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update CharLS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/CharLS-1.0-0.1.b.fc13

Comment 15 Fedora Update System 2010-03-13 02:25:26 UTC
CharLS-1.0-0.1.b.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update CharLS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/CharLS-1.0-0.1.b.fc12

Comment 16 Fedora Update System 2010-03-13 02:25:30 UTC
CharLS-1.0-0.1.b.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update CharLS'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/CharLS-1.0-0.1.b.fc11

Comment 17 Fedora Update System 2010-03-23 23:21:50 UTC
CharLS-1.0-0.1.b.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-03-23 23:29:38 UTC
CharLS-1.0-0.1.b.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-03-23 23:37:25 UTC
CharLS-1.0-0.1.b.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.